package convexhull;
/*
 * File: HangmanCanvas.java
 * ------------------------
 * This file keeps track of the Hangman display.
 */

import acm.graphics.*;

@SuppressWarnings("serial")
public class ConvexHullGraphics extends GCanvas {
	
	public static final int MARGIN = 10;
	public static final int POINT_RADIUS = 2;

	public void reset() {
		removeAll();
		add(new GLine(MARGIN, MARGIN, getWidth() - MARGIN, MARGIN));
		add(new GLine(getWidth() - MARGIN, MARGIN, getWidth() - MARGIN, getHeight() - MARGIN));
		add(new GLine(getWidth() - MARGIN, getHeight() - MARGIN, MARGIN, getHeight() - MARGIN));
		add(new GLine(MARGIN, getHeight() - MARGIN, MARGIN, MARGIN));
	}
	
	public int width() {
		return getWidth();
	}
	
	public int height() {
		return getHeight();
	}
	
	public int margin() {
		return MARGIN;
	}
	
	public int pointRadius() {
		return POINT_RADIUS;
	}
	
	public void showPoints(int[][] data, int numPoints) {
		GOval point;
		for (int i = 0; i < numPoints; i++) {
			point = new GOval(data[i][0] - POINT_RADIUS, data[i][1] - POINT_RADIUS, 
					2 * POINT_RADIUS, 2 * POINT_RADIUS);
			point.setFilled(true);
			add(point);
		}
	}
	
	public void showHull(int[][] hullData, int hullPoints, int[] hullIndices) {
		for (int i = 1; i < hullPoints; i++)
			add(new GLine(hullData[hullIndices[i - 1]][0], hullData[hullIndices[i - 1]][1], 
					hullData[hullIndices[i]][0], hullData[hullIndices[i]][1]));
		add(new GLine(hullData[hullIndices[hullPoints - 1]][0], hullData[hullIndices[hullPoints - 1]][1], 
				hullData[hullIndices[0]][0], hullData[hullIndices[0]][1]));
	}

}
